Bug 1654169 - RGW nfs-ganesha complains about NFS_Protocols and Transport_Protocols settings in EXPORT section in /etc/ganesha/ganesha.conf
Summary: RGW nfs-ganesha complains about NFS_Protocols and Transport_Protocols setting...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 3.*
Assignee: Matt Benjamin (redhat)
QA Contact: Tejas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-28 07:48 UTC by Matthias Muench
Modified: 2019-08-15 13:28 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-15 13:28:05 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Matthias Muench 2018-11-28 07:48:26 UTC
Description of problem:
Setting of  NFS_Protocols and Transport_Protocols for EXPORT section in /etc/ganesha/ganesha.conf fails with message:
28/11/2018 08:35:33 : epoch 5bfe4545 : ceph31-rgw2.private-eval.local : ganesha.nfsd-28169[main] config_errs_to_log :CONFIG :WARN :Config File (/etc/ganesha/ganesha.conf:8): Unknown parameter (NFS_Protocols)
28/11/2018 08:35:33 : epoch 5bfe4545 : ceph31-rgw2.private-eval.local : ganesha.nfsd-28169[main] config_errs_to_log :CONFIG :WARN :Config File (/etc/ganesha/ganesha.conf:9): Unknown parameter (Transport_Protocols)

Version-Release number of selected component (if applicable):
nfs-ganesha-2.5.5-100.el7cp.x86_64
nfs-ganesha-rgw-2.5.5-100.el7cp.x86_64

How reproducible: always


Steps to Reproduce:
1. setup EXPORT in /etc/ganesha/ganesha.conf:
EXPORT
{
          Export_Id = 2; 
          Path = "/";
          Pseudo = "/";
          Access_Type = RW;
          SecType = "sys";
          NFS_Protocols = 4;
          Transport_Protocols = "TCP";
          Squash = "No_Root_Squash";
          FSAL {
                  Name = RGW;
                  User_Id = produser1;
                  Access_Key_Id ="k8aR0VcnTlVszUx2SmJB";
                  Secret_Access_Key = "AM2yE4LDpsAcGD20lqNph1k1umSyOo3aXFh2Ail4";
          } 
}
RGW {
          name = "client.rgw.ceph31-rgw2";
          ceph_conf = "/etc/ceph/ceph.conf";
          #init_args = "--{arg}={arg-value}";
          init_args = "--keyring=/var/lib/ceph/radosgw/ceph-rgw.ceph31-rgw2/keyring --log-file=/var/log/ceph/radosgw-ceph-rgw2.log --debug-rgw=0/5";
}

2. systemtctl start nfs-ganesha
3. check /var/log/ganesha/ganesha.conf

Actual results:
28/11/2018 08:35:33 : epoch 5bfe4545 : ceph31-rgw2.private-eval.local : ganesha.nfsd-28169[main] config_errs_to_log :CONFIG :WARN :Config File (/etc/ganesha/ganesha.conf:8): Unknown parameter (NFS_Protocols)
28/11/2018 08:35:33 : epoch 5bfe4545 : ceph31-rgw2.private-eval.local : ganesha.nfsd-28169[main] config_errs_to_log :CONFIG :WARN :Config File (/etc/ganesha/ganesha.conf:9): Unknown parameter (Transport_Protocols)

Expected results:
Accept setting of both.

Additional info:

Comment 3 Giridhar Ramaraju 2019-08-05 13:11:05 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 4 Giridhar Ramaraju 2019-08-05 13:12:07 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri


Note You need to log in before you can comment on or make changes to this bug.